Gecode::Gist::Inspector Class Referenceabstract
Functionality by programming task » Programming models » Gist: the Gecode Interactive Search Tool

Abstract base class for inspectors. More...

`#include <gist.hh>`

## Public Member Functions

virtual void | inspect (const Space &s)=0
| Call-back function.
virtual std::string | name (void)
| Name of the inspector.
virtual void | finalize (void)
| Clean up when Gist exits.
virtual | ~Inspector (void)
| Destructor.

## Detailed Description

Abstract base class for inspectors.

An inspector provides a virtual method that is called when a node in the search tree is inspected (e.g. by double-clicking)

Definition at line 99 of file gist.hh.

## Constructor & Destructor Documentation

## ~Inspector()

Gecode::Gist::Inspector::~Inspector | ( | void |  | ) |

virtual

Destructor.

Definition at line 50 of file gist.cpp.

## Member Function Documentation

## inspect()

virtual void Gecode::Gist::Inspector::inspect | ( | const Space & | s | ) |

pure virtual

Call-back function.

Implemented in Gecode::FlatZinc::FZPrintingInspector< S >, and Gecode::Gist::Print< S >.

## name()

std::string Gecode::Gist::Inspector::name | ( | void |  | ) |

virtual

Name of the inspector.

Reimplemented in Gecode::Gist::Print< S >.

Definition at line 45 of file gist.cpp.

## finalize()

void Gecode::Gist::Inspector::finalize | ( | void |  | ) |

virtual

Clean up when Gist exits.

Reimplemented in Gecode::FlatZinc::FZPrintingInspector< S >, and Gecode::Gist::Print< S >.

Definition at line 48 of file gist.cpp.

The documentation for this class was generated from the following files:

- gecode/gist.hh
- gecode/gist/gist.cpp